Skip to content
Permalink
Browse files

Update Mac INSTALL notes

- Fix registered copyright symbol in .t2t files
  • Loading branch information
dakcarto committed May 21, 2013
1 parent 595e12c commit a7923a1f518ec8da3b36eddbc987b5a7916a0651
Showing with 31 additions and 30 deletions.
  1. +11 −11 INSTALL
  2. +11 −11 doc/INSTALL.html
  3. +1 −0 doc/INSTALL.t2t
  4. +1 −1 doc/msvc.t2t
  5. +7 −7 doc/osx.t2t
22 INSTALL
@@ -1,10 +1,10 @@
QGIS
Building QGIS from source - step by step
Monday May 20, 2013
Tuesday May 21, 2013


Last Updated: Monday May 20, 2013
Last Change : Monday May 20, 2013
Last Updated: Tuesday May 21, 2013
Last Change : Tuesday May 21, 2013


1. Introduction
@@ -557,7 +557,7 @@ The free (as in free beer) Express Edition installer is available under:
The optional products are not necessary. In the process the Windows SDKs for
Visual Studio 2008 will also be downloaded and installed.

You also need the Microsoft Windows Server 2003 R2 Platform SDK (for setupapi):
You also need the Microsoft Windows Server(R) 2003 R2 Platform SDK (for setupapi):

http://download.microsoft.com/download/f/a/d/fad9efde-8627-4e7a-8812-c351ba099151/PSDK-x86.exe

@@ -1228,7 +1228,7 @@ of Xcode, regardless of using a separate DMG installer for just the tools.

Xcode 4.3+ also introduces the clang frontend to the LLVM compiler as default.

Note: In XCODE 4.5 installed from the app store, you need to install the
Note: In XCODE 4.5 installed from the app store, you need to install the
command line tools from XCode -> Preferences -> Downloads and choose command line tools.

http://clang.llvm.org/
@@ -1545,7 +1545,7 @@ building QGIS.
The plugin allows QScintilla2 widgets to be used within QtDesigner.

cd <QScintilla2 source directory>
cd designer-Qt4
cd designer-Qt4Qt5
qmake -spec macx-g++ designer.pro
make
sudo make install
@@ -1565,15 +1565,15 @@ cd to the source folder. Then for your chosen Python:

python.org Python

python configure.py -n /usr/local/Qt-4.8/qsci
python configure.py -n /usr/local/Qt4.8/qsci
yes

Leopard system Python

PyQt wants to install in the system path -- this is not a good idea.
More configuration is needed to install outside the system path:

python configure.py -d /Library/Python/2.5/site-packages -b /usr/local/bin -n /usr/local/Qt-4.8/qsci
python configure.py -d /Library/Python/2.5/site-packages -b /usr/local/bin -n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4

Snow Leopard system Python

@@ -1586,19 +1586,19 @@ Substitute '2.7' for python version and 10.7 for SDK version below for Lion.
If you are using 32-bit Qt (Qt Carbon):

python2.6 configure.py -d /Library/Python/2.6/site-packages -b /usr/local/bin \
-n /usr/local/Qt-4.8/qsci --use-arch i386
-n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4 --use-arch i386

For 64-bit Qt (Qt Cocoa), use this configure line:

python2.6 configure.py -d /Library/Python/2.6/site-packages -b /usr/local/bin \
-n /usr/local/Qt-4.8/qsci --use-arch x86_64
-n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4 --use-arch x86_64

Lion and Mt. Lion system Python

Similar to Snow Leopard, you should install outside the system Python path.
But you don't need the arch option:

python2.7 configure.py -d /Library/Python/2.7/site-packages -b /usr/local/bin -n /usr/local/Qt-4.8/qsci
python2.7 configure.py -d /Library/Python/2.7/site-packages -b /usr/local/bin -n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4

continue...

@@ -77,13 +77,13 @@
<DIV CLASS="header" ID="header">
<H1>QGIS</H1>
<H2>Building QGIS from source - step by step</H2>
<H3>Wednesday April 24, 2013</H3>
<H3>Tuesday May 21, 2013</H3>
</DIV>

<DIV CLASS="body" ID="body">
<P>
Last Change : Saturday December 08, 2012
Last Updated: Wednesday April 24, 2013
Last Updated: Tuesday May 21, 2013
Last Change : Tuesday May 21, 2013
</P>
<DIV CLASS="toc">

@@ -883,7 +883,7 @@ <H3>4.1.1. Visual C++ Express Edition</H3>
Visual Studio 2008 will also be downloaded and installed.
</P>
<P>
You also need the Microsoft Windows Server® 2003 R2 Platform SDK (for setupapi):
You also need the Microsoft Windows Server&reg; 2003 R2 Platform SDK (for setupapi):
</P>
<BLOCKQUOTE>
<A HREF="http://download.microsoft.com/download/f/a/d/fad9efde-8627-4e7a-8812-c351ba099151/PSDK-x86.exe">http://download.microsoft.com/download/f/a/d/fad9efde-8627-4e7a-8812-c351ba099151/PSDK-x86.exe</A>
@@ -1750,7 +1750,7 @@ <H2>5.1. Install Developer Tools</H2>
Xcode 4.3+ also introduces the clang frontend to the LLVM compiler as default.
</P>
<P>
<B>Note:</B> In XCODE 4.5 installed from the app store, you need to install the
<B>Note:</B> In XCODE 4.5 installed from the app store, you need to install the
command line tools from XCode -&gt; Preferences -&gt; Downloads and choose command line tools.
</P>
<P>
@@ -2175,7 +2175,7 @@ <H4>5.4.6.1. Optional setup: QScintilla2 QtDesigner plugin</H4>

<div class="code"><PRE>
cd &lt;QScintilla2 source directory&gt;
cd designer-Qt4
cd designer-Qt4Qt5
qmake -spec macx-g++ designer.pro
make
sudo make install
@@ -2202,7 +2202,7 @@ <H3>5.4.7. Additional dependencies: PyQt</H3>
</P>

<div class="code"><PRE>
python configure.py -n /usr/local/Qt-4.8/qsci
python configure.py -n /usr/local/Qt4.8/qsci
yes
</PRE></div>

@@ -2215,7 +2215,7 @@ <H3>5.4.7. Additional dependencies: PyQt</H3>
</P>

<div class="code"><PRE>
python configure.py -d /Library/Python/2.5/site-packages -b /usr/local/bin -n /usr/local/Qt-4.8/qsci
python configure.py -d /Library/Python/2.5/site-packages -b /usr/local/bin -n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4
</PRE></div>

<P>
@@ -2234,7 +2234,7 @@ <H3>5.4.7. Additional dependencies: PyQt</H3>

<div class="code"><PRE>
python2.6 configure.py -d /Library/Python/2.6/site-packages -b /usr/local/bin \
-n /usr/local/Qt-4.8/qsci --use-arch i386
-n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4 --use-arch i386
</PRE></div>

<P>
@@ -2243,7 +2243,7 @@ <H3>5.4.7. Additional dependencies: PyQt</H3>

<div class="code"><PRE>
python2.6 configure.py -d /Library/Python/2.6/site-packages -b /usr/local/bin \
-n /usr/local/Qt-4.8/qsci --use-arch x86_64
-n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4 --use-arch x86_64
</PRE></div>

<P>
@@ -2255,7 +2255,7 @@ <H3>5.4.7. Additional dependencies: PyQt</H3>
</P>

<div class="code"><PRE>
python2.7 configure.py -d /Library/Python/2.7/site-packages -b /usr/local/bin -n /usr/local/Qt-4.8/qsci
python2.7 configure.py -d /Library/Python/2.7/site-packages -b /usr/local/bin -n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4
</PRE></div>

<P>
@@ -8,6 +8,7 @@ Building QGIS from source - step by step
%! preproc : TUT_URL https://qgis.org
%! PostProc(html): '(?i)(<pre>)' '<div class="code">\1'
%! PostProc(html): '(?i)(</pre>)' '\1</div>'
%! PostProc(html): \(R\) &reg;
% Next line will replace tabs with 2 spaces in txt generated outputs
%! PostProc(txt): '(?i)(\t)' ' '
%! encoding: iso-8859-1
@@ -17,7 +17,7 @@ The free (as in free beer) Express Edition installer is available under:
The optional products are not necessary. In the process the Windows SDKs for
Visual Studio 2008 will also be downloaded and installed.

You also need the Microsoft Windows Server 2003 R2 Platform SDK (for setupapi):
You also need the Microsoft Windows Server(R) 2003 R2 Platform SDK (for setupapi):

http://download.microsoft.com/download/f/a/d/fad9efde-8627-4e7a-8812-c351ba099151/PSDK-x86.exe

@@ -78,7 +78,7 @@ of Xcode, regardless of using a separate DMG installer for just the tools.

Xcode 4.3+ also introduces the clang frontend to the LLVM compiler as default.

**Note:** In XCODE 4.5 installed from the app store, you need to install the
**Note:** In XCODE 4.5 installed from the app store, you need to install the
command line tools from XCode -> Preferences -> Downloads and choose command line tools.

http://clang.llvm.org/
@@ -407,7 +407,7 @@ The plugin allows QScintilla2 widgets to be used within QtDesigner.

```
cd <QScintilla2 source directory>
cd designer-Qt4
cd designer-Qt4Qt5
qmake -spec macx-g++ designer.pro
make
sudo make install
@@ -427,7 +427,7 @@ cd to the source folder. Then for your chosen Python:
__python.org Python__

```
python configure.py -n /usr/local/Qt-4.8/qsci
python configure.py -n /usr/local/Qt4.8/qsci
yes
```

@@ -437,7 +437,7 @@ PyQt wants to install in the system path -- this is not a good idea.
More configuration is needed to install outside the system path:

```
python configure.py -d /Library/Python/2.5/site-packages -b /usr/local/bin -n /usr/local/Qt-4.8/qsci
python configure.py -d /Library/Python/2.5/site-packages -b /usr/local/bin -n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4
```

__Snow Leopard system Python__
@@ -452,14 +452,14 @@ If you are using 32-bit Qt (Qt Carbon):

```
python2.6 configure.py -d /Library/Python/2.6/site-packages -b /usr/local/bin \
-n /usr/local/Qt-4.8/qsci --use-arch i386
-n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4 --use-arch i386
```

For 64-bit Qt (Qt Cocoa), use this configure line:

```
python2.6 configure.py -d /Library/Python/2.6/site-packages -b /usr/local/bin \
-n /usr/local/Qt-4.8/qsci --use-arch x86_64
-n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4 --use-arch x86_64
```

__Lion and Mt. Lion system Python__
@@ -468,7 +468,7 @@ Similar to Snow Leopard, you should install outside the system Python path.
But you don't need the arch option:

```
python2.7 configure.py -d /Library/Python/2.7/site-packages -b /usr/local/bin -n /usr/local/Qt-4.8/qsci
python2.7 configure.py -d /Library/Python/2.7/site-packages -b /usr/local/bin -n /usr/local/Qt4.8/qsci -v /usr/local/share/sip/PyQt4
```

__continue...__

0 comments on commit a7923a1

Please sign in to comment.
You can’t perform that action at this time.